Subject: Offline Message from Mike Harvey: Hi, I am looking to find information on wha
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 21 Jul 2020 10:02:36 -0000

From: Mike Harvey <[email-masked]>
Phone: 
Location: Bondi Beach, Australia
URL: https://eposaudio.zendesk.com/hc/en-us/articles/360017806593-SC-135
Department: EPOS Enterprise

Hi, I am looking to find information on what cleaning products I am able to use on the SC 135?  We are transitioning to using a lot more Telehealth at work, and I was wanting to know if they could be cleaned and used between different staff?  We normally use a Clinell wipe for cleaning most of our products and was wondering if that was able to be used and would not damage the leatherette ear cups specifically (HSP 54).
Thanks,
Mike

----
Zopim
https://www.zopim.com